<?php
 
session_start();
$com = "E";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include("DF30000.inc");
?>

<?php
 
if ($_POST['bot']==""){
	echo '<h2>!!! SELECCIONA UN REGISTRO... ACTUALIZANDO !!!</h2>';
	echo '<meta content="1; url=DN13220_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
include("DN13220_CL.php");
$armes=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
$armess=array("ENERO"=>"01","FEBRERO"=>"02","MARZO"=>"03","ABRIL"=>"04","MAYO"=>"05","JUNIO"=>"06","JULIO"=>"07","AGOSTO"=>"08","SEPTIEMBRE"=>"09","OCTUBRE"=>"10","NOVIEMBRE"=>"11","DICIEMBRE"=>"12");
$axo=$_POST['teaxo'];
$mes=$_POST['semes'];
$fam=$axo.'-'.$armess[$mes].'-'.'01';
$cvar=new clase('dncageno',$fam,$_POST['setipnom'],$_SESSION['num_usu']);
$lstbus=$cvar->listaBusEle($_POST['bot']);
$arsbus=mysqli_fetch_array($lstbus);
$cont=$arsbus["no_nomi"];
$_REQUEST['tenp']=$cont;
$fec1=$arsbus["fec_ini"];
include('DF20000.php');
$fecha_ini=$f_f;
$fec1=$arsbus["fec_fin"];
include('DF20000.php');
$fecha_fin=$f_f;
$fec1=$arsbus["fec_pol"];
include('DF20000.php');
$fecha_pol=$f_f;
if(!isset($_POST['seact']))$_REQUEST['seact']=$arsbus["act_nom"];
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<form id="frm1" name="frm1" method="post">
<input type="hidden" name="tenp" id="tenp" value=" <?php
 echo $_REQUEST['tenp']; ?>">
<input type="hidden" name="teaxo" id="teaxo" value="<?php
 echo $_POST['teaxo'];?>">
<input type="hidden" name="semes" id="semes" value="<?php
 echo $_POST['semes'];?>">
<input type="hidden" name="bot" id="bot" value="<?php
 echo $_POST['bot'];?>">  
<input type="hidden" name="setipnom" id="setipnom" value="<?php
 echo $_POST['setipnom'];?>"> 
<div align="center">
     <table >
       <tr>
         <th colspan="4"><div align="center">CALENDARIO NOMINA </div></th>
       </tr>
       <tr>
         <td class="tabagre"><div align="center">No. Per. </div></td>
         <td class="tabagre"><div align="center">A&ntilde;o Proceso</div></td>
         <td class="tabagre"><div align="center">Mes Proceso</div></td>
         <td class="tabagre"><div align="center">Cve. Nomi/Descripci&oacute;n</div></td>
       </tr>
       <tr>
         <td class="inputcodigo">            
          <div align="center">
            <input name="tenp" type="text" disabled="disabled" id="tenp" value="<?php
 echo $_REQUEST['tenp']; ?>">
          </div>
                  </td>
         <td class="inputcodigo">
           <div align="center">
             <input type="text" name="teaxo" id="teaxo" disabled="disabled" value="<?php
 echo $_REQUEST['teaxo'];?>">
           </div></td>
         <td class="inputcodigo">
           <div align="center"><select name="semes" id="semes" disabled="disabled">
          <?php
 
			for($i=1; $i<=count($armes); $i++){
				if($_POST['semes']==$armes[$i]) echo '<option value="'.$armes[$i].'" selected>'.$armes[$i].'</option>';
				else echo '<option value="'.$armes[$i].'">'.$armes[$i].'</option>';
			}
		?>
        </select></div></td>
         <td class="inputcodigo"><div align="center">
           <select name="setipnom" disabled="disabled" id="setipnom">
          <!--  <option value="ALL">TODAS</option> -->
          <?php
  
		  $stipnom="select * from dntipnom";
		  $sqtipnom=mysqli_query($con ,$stipnom);
		  while($artipnom=mysqli_fetch_array($sqtipnom)){
		  	if("$_POST['setipnom']"=="$artipnom['cve_nomi']") echo '<option value="'.$artipnom['cve_nomi'].'" selected>'.$artipnom['cve_nomi'].'|'.$artipnom['des_nomi'].'</option>';
		  	else echo '<option value="'.$artipnom['cve_nomi'].'">'.$artipnom['cve_nomi'].'|'.$artipnom['des_nomi'].'</option>';
		  }
		  ?>
        </select>           
         </div></td>
       </tr>

       <tr>
         <td class="tabagre"><div align="left">Fecha Inicial: </div></td>
         <td class="inputcodigo"> <div align="center">
	        <input name="fechaini" type="text" class="thcons" id="fechaini" disabled="disabled" onBlur="valFecha(this)"
			  <?php
 
			  if(isset($_POST['fechaini'])){
			  	echo 'value="'.$_POST['fechaini'].'"'; 
			  }else{
			  	echo 'value="'.$fecha_ini.'"'; 
			  }
			  ?>
			  >
		        <input name="reset2" type="reset" value=" ... " disabled="disabled" id="bot1"/>
		        <script type="text/javascript">
				  	Calendar.setup(
    					{
      						inputField  : "fechaini",        // ID of the input field
      						ifFormat    : "%d/%m/%Y",    // the date format
      						button      : "bot1"      // ID of the button
    					}
  					);
				</script>
		        &nbsp;</div></td>
         <td class="tabagre"><div align="left">Fecha Final: </div></td>
         <td class="inputcodigo"> <div align="center">
	        <input name="fechafin" type="text" class="thcons" id="fechafin" disabled="disabled" onBlur="valFecha(this)"
				<?php
 
			  if(isset($_POST['fechafin'])){
			  	echo 'value="'.$_POST['fechafin'].'"'; 
			  }else{
			  	echo 'value="'.$fecha_fin.'"'; 
			  }
			  ?>
				>
		        <input name="reset" type="reset" value=" ... " disabled="disabled" id="bot2"/>
				<script type="text/javascript">
				  	Calendar.setup(
    					{
      						inputField  : "fechafin",        // ID of the input field
      						ifFormat    : "%d/%m/%Y",    // the date format
      						button      : "bot2"      // ID of the button
    					}
  					);
				</script>
				&nbsp;</div></td>
       </tr>
       <tr>
         <td class="tabagre">Descripcion:</td>
         <td class="inputcodigo"><div align="center">
           <input name="tedes" type="text" id="tedes" disabled="disabled" value="<?php
 if(!isset($_POST['seact'])) echo $arsbus["des_nomi"]; 
		   else echo $_POST['tedes'];?>">
         </div></td>
         <td class="tabagre"> Actualizada:</td>
         <td class="inputcodigo"><div align="center">
           <select name="seact" id="seact" disabled="disabled" onChange="javascript: document.getElementById('frm1').submit()">
             <option value="SI" <?php
  
			 if(!isset($_POST['seact'])){ 
			 	if($arsbus["act_nom"]=="SI") echo 'selected';
			} 
		   elseif($_POST['seact']=="SI") echo 'selected';?>>SI</option>
             <option value="NO" <?php
 if(!isset($_POST['seact'])){ 
			 	if($arsbus["act_nom"]=="NO") echo 'selected';
			} 
		   elseif($_POST['seact']=="NO") echo 'selected';?>>NO</option>
           </select>
          &nbsp;</div></td>
       </tr>
	   <?php
 if($_REQUEST['seact']=="SI"){ ?>
       <tr>
         <td>Tipo  Poliza: </td>
         <td class="inputcodigo"> 
           <div align="center">
             <input name="tetipo" type="text" id="tetipo" disabled="disabled" value="<?php
  if(!isset($_POST['seact'])) echo $arsbus["tip_pol"]; 
		   else echo $_POST['tetipo'];?>">
           </div>
         </td>
         <td>N&uacute;mero Poliza: </td>
         <td class="inputcodigo"> 
           <div align="center">
             <input name="tenopo" type="text" id="tenopo" disabled="disabled" value="<?php
  if(!isset($_POST['seact'])) echo $arsbus["num_pol"]; 
		   else echo $_POST['tenopo'];?>">
           </div>
         </td>
       </tr>
       <tr>
         <td>Fecha Poliza: </td>
         <td class="inputcodigo"><input name="fechapol" type="text" class="thcons" id="fechapol" disabled="disabled" onBlur="valFecha(this)"
			  <?php
 
			  if(isset($_POST['fechapol'])){
			  	echo 'value="'.$_POST['fechapol'].'"'; 
			  }else{
			  	echo 'value="'.$fecha_pol.'"'; 
			  }
			  ?>
			  >
         <input name="reset3" type="reset" value=" ... " disabled="disabled" id="bot3"/><script type="text/javascript">
				  	Calendar.setup(
    					{
      						inputField  : "fechapol",        // ID of the input field
      						ifFormat    : "%d/%m/%Y",    // the date format
      						button      : "bot3"      // ID of the button
    					}
  					);
				</script>    </td>
         <td colspan="2">&nbsp;</td>
       </tr>
      <?php
 
			}
		?>
		 <tr>
         <td colspan="5"> 
           <div align="center">
             <input name="boeli" type="button" id="boeli" value="Eliminar" onClick="openpage('DN13220_EC.php','_self')">&nbsp;&nbsp;&nbsp;
             <input name="boreg" type="submit" id="boreg" value="Regresar" onClick="openpage('DN13220_PR.php','_self')">
           </div>
         </td>
       </tr>
     </table>
</div>


</body>
</html>
